
Redmine - Feature #3199

Ability to remove mail signature when updating an issue from mail

2009-04-17 17:17 - Joan Ginard

Status: Closed Start date: 2009-04-17

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The issue creation and update from mail is great. But is not practically functional if the mail signature is not removed from the email

body. Otherwise the comments on an issue become unreadable.

I know that this problem can be solved from the MUA, but when many people participate on the project, and any of them use a

different one, you cannot force to all of them to create different profiles when replying redmine mails.

Maybe this functionality can be an option on the Administration section. A regular expression may be specified to match the token

that marks the signature begin.

Related issues:

Has duplicate Redmine - Defect #4414: Mail text preparing before creating a n... Closed 2009-12-16

Is duplicate of Redmine - Patch #4409: Remove email body via a delimiter Closed 2009-12-16

History

#1 - 2009-04-20 18:51 - Eric Davis

- Category set to Email notifications

- Status changed from New to 7

- Assignee set to Eric Davis

I have some code that removes any text after -- in an incoming email.  I found -- or --- is the typical start of signature.

#2 - 2009-04-20 18:59 - Eric Davis

- Subject changed from Hability to remove mail signature when updating an issue from mail to Ability to remove mail signature when updating an issue

from mail

#3 - 2009-04-22 22:27 - James Blanding

This issue feels a bit like a subset of Issue #2852...or if not a subset, at least related in the sense that this code would appear in approximately the

same place in the mail_handler as the code from that issue...

#4 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#5 - 2009-12-01 00:31 - Markus Meier

+1

#6 - 2010-02-06 11:12 - Igor Kalashnikov

+1

#7 - 2010-02-06 12:17 - Felix Schäfer

- Status changed from 7 to Closed

This is as far as I can tell a duplicate of #4409 and was added in r3226.
